/* Style the banner to fit the design of the website */

.cookie-consent--banner {
	display: none;
	position: fixed;
	bottom: 0;
	width: 100%;
	z-index: 9998;
/*	color: var(--c-grey-100); */
	background-color: var(--c-grey-10);
	padding: 2rem 10%;
	font-size: 0.9rem;
}

.cookie-consent--text {
	max-width: 960px;
	display: block;
	vertical-align: middle;
	margin: 0 auto;
}

.cookie-consent--buttons {
	max-width: 960px;
	vertical-align: middle;
	margin: 0 auto;
	text-align: center;
}

.cookie-consent--buttons a {
	margin: 0 0.5em;
	padding: 0.5em 2em;
	font-size: 0.85rem;
}
.cookie-consent--buttons .cookies-decline { background-color: #999; }
.cookie-consent--buttons .cookies-configure,
.cookie-consent--buttons .cookies-close { background-color: #666; }


.cookie-consent--dialog {
	position: fixed;
	width: 100vw;
	height: 100vh;
	left: 0; top: 0;
	z-index: 9999;
	font-size: 0.9em;
	display: flex;
	align-items: center;
	justify-content: center;
}
.cookie-consent--overlay { background-color: rgba(0, 0, 0, 0.8); position: absolute; width: 100%; height: 100%; z-index: -1; }
.cookie-consent--popup { width: 90%; max-width: 500px; padding: 2em; background-color: var(--c-grey-10); border-radius: 0.66rem; }
.cookie-consent--popup h2 { font-size: 1.3em; margin: 0 0 0.5em; }

.cookie-consent--popup .cookie-option { margin-bottom: 1em; }
.cookie-consent--popup .cookie-option--head {
	display: flex;
	align-items: center;
	justify-content: space-between;
	background-color: var(--c-grey-40);
	border-radius: 0.3rem;
	padding: 0.75em 0.5em;
	margin: 0 -0.5em 0.5em;
	font-weight: 600;
}
.cookie-consent--popup .cookie-option--head input {
	flex: 0 0 auto;
	width: 1rem;
	height: 1rem;
	font-size: 3em;
	line-height: 1;
	margin: 0;
}
.cookie-consent--popup .cookie-option--head a { pointer-events: none; }
.cookie-consent--popup .cookie-option--head span { flex: 0 0 auto; }
.cookie-consent--popup .cookie-consent--buttons { margin-top: 1.5em; }

.cookie-consent-dialog-open { overflow: hidden; }

@media (max-width: 768px)
{
	.cookie-consent--banner { padding: 1em 5%; font-size: 0.9em; }
	.cookie-consent--dialog { font-size: 0.85em; }
	.cookie-consent--popup { padding: 1rem; }
	.cookie-consent--buttons a { padding: 0.5em 0.9em; margin: 0 0.1em; font-size: 0.9em; }
}
